Passa al contenuto principale

CreditnoteRow

Row of a credit note

creditnote_row_idintegerrequired
creditnote_idintegerrequired

Id of the credit note (GET /api/v3/credit-notes/{credit_note_id})

invoice_row_idinteger | nullnullablerequired

Id of the invoice row that the credit note row refers to (GET /api/v3/invoices/{invoice_id}/rows/{row_id}); null when it refers to none

reasonstring | nullnullablerequired

Reason of the row, in Italian, for example Errato Addebito (wrong charge) or Servizio non Erogato (service not provided)

descriptionstringrequired
amount objectrequired

Amount in euros: the taxable amount and, when computed with a tax regime, the VAT rate, the VAT and the total, which are null otherwise

amountfloatnullablerequired

Taxable amount

currencystringrequired

Currency code: always EUR

tax_ratefloatnullablerequired

VAT rate as a fraction, for example 0.22 for 22%

taxfloatnullablerequired

VAT (tax) amount

totalfloatnullablerequired

Total amount

billing_data objectrequired

Italian public administration codes of a document row: CIG, CUP and ODA

cig_valuestring | nullnullablerequired

CIG (Codice Identificativo Gara), the Italian code of the public tender; null when not given

cup_valuestring | nullnullablerequired

CUP (Codice Unico di Progetto), the Italian code of the public investment project; null when not given

oda_valuestring | nullnullablerequired

ODA (Ordine di Acquisto), the code of the purchase order; null when not given

date_startdatenullablerequired

Start of the period the row refers to; null when the row has no period

date_enddatenullablerequired

End of the period the row refers to; null when the row has no period

CreditnoteRow
{
"creditnote_row_id": 0,
"creditnote_id": 0,
"invoice_row_id": 0,
"reason": "string",
"description": "string",
"amount": {
"amount": 0,
"currency": "string",
"tax_rate": 0,
"tax": 0,
"total": 0
},
"billing_data": {
"cig_value": "string",
"cup_value": "string",
"oda_value": "string"
},
"date_start": "2024-07-29",
"date_end": "2024-07-29"
}